Change "Related issues" label for generic grouped query filters

2016-03-05 20:35 - Sebastian Paluch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed   

Description

The helper added to group filters of ":tree" and ":relation" type uses ":label_related_issues" as group label.

module QueriesHelper

  include ApplicationHelper

  def filters_options_for_select(query)

    ungrouped = []

    grouped = {}

    query.available_filters.map do |field, field_options|

      if [:tree, :relation].include?(field_options[:type]) 

        group = :label_related_issues

      elsif field =~ /^(.+)\./

        # association filters

 This is not OK as the helper is for all queries, not only for Issue queries. I my case I have a project query and group title "Related

issues" does not match.

I would like to propose creating new, more generic label e.g. "label_related: Related".

Related issues:

Related to Redmine - Feature #13849: Grouped filters in the filter drop-down Closed

Related to Redmine - Feature #6118: Filter by parent task or subtasks Closed 2010-08-12

Associated revisions

Revision 15354 - 2016-04-24 13:52 - Jean-Philippe Lang

Change "Related issues" label for generic grouped query filters (#22147).

Revision 15361 - 2016-04-24 23:06 - Jean-Philippe Lang

Test failure (#22147).

History

#1 - 2016-04-04 06:52 - Toshi MARUYAMA

- Description updated

#2 - 2016-04-04 07:10 - Toshi MARUYAMA

- Category deleted (Translations)

#3 - 2016-04-04 07:12 - Toshi MARUYAMA

- Status changed from New to Needs feedback

field_options[:type] is not translated word. It is symbol defined at source:tags/3.2.1/app/models/query.rb#L212 .

#4 - 2016-04-04 07:18 - Toshi MARUYAMA

- Related to Feature #13849: Grouped filters in the filter drop-down added
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.2.1/app/models/query.rb#L212


#5 - 2016-04-04 07:23 - Toshi MARUYAMA

- Related to Feature #6118: Filter by parent task or subtasks added

#6 - 2016-04-04 07:29 - Toshi MARUYAMA

Sebastian Paluch wrote:

This is not OK as the helper is for all queries, not only for Issue queries. I my case I have a project query and group title "Related issues" does

not match.

 Does it mean you use plugin which implement project query?

#7 - 2016-04-04 07:55 - Sebastian Paluch

I have past in code that shows you where the :label_related_issues translation is used, I'm not talking about field_options[:type].

Yes, I have a plugin that implements project queries and in such case group called "Related Issues" is dummy. It should be more generic.

#8 - 2016-04-04 08:06 - Toshi MARUYAMA

- Subject changed from Change translation for grouped query filters to Change "Related issues" for generic grouped query filters

- Status changed from Needs feedback to New

- Target version set to 3.3.0

#9 - 2016-04-24 13:52 - Jean-Philippe Lang

- Subject changed from Change "Related issues" for generic grouped query filters to Change "Related issues" label for generic grouped query filters

- Category set to UI

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Replaced with :label_relations.
